﻿using UnityEngine;
using System.Collections;

public class FallingScript : MonoBehaviour 
{
	public float speed = 1.0f;
	public float cutSceneSpeed = 0.9f;
	public string axisName = "Horizontal";
	public Animator anim;
	public Transform EndAnimationStart;
	public Transform EndAnimationStop;
	public bool ready = false;
	public bool end = false;
	public string NextLevel;
	
	// Use this for initialization
	void Start () 
	{
		anim = gameObject.GetComponent<Animator>();
		anim.SetBool("Falling", true);
		ready = true;
	}
	
	// Update is called once per frame
	void Update () 
	{
		if(!ready)
		{
			anim.SetFloat("Horizontal_Speed", speed);
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*speed*Time.deltaTime;
		}
		else if(Input.GetAxis(axisName) < 0 && ready)
		{
			anim.SetFloat("Horizontal_Speed", Mathf.Abs(Input.GetAxis(axisName)));
			Vector3 newScale = transform.localScale;
			newScale.x = -1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*Input.GetAxis(axisName)*speed*Time.deltaTime;
		}
		else if(Input.GetAxis(axisName) > 0 && ready)
		{
			anim.SetFloat("Horizontal_Speed", Mathf.Abs(Input.GetAxis(axisName)));
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*Input.GetAxis(axisName)*speed*Time.deltaTime;
		}
		if(transform.position.y < EndAnimationStart.transform.position.y)
		{
			end = true;
			ready = false;
			anim.SetBool("Falling", false);
			anim.SetFloat("Horizontal_Speed", cutSceneSpeed);
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*cutSceneSpeed*Time.deltaTime;

		}
		if(transform.position.x > EndAnimationStop.transform.position.x && end)
		{
			Application.LoadLevel(NextLevel);
		}
	}

	void OnGUI()
	{
		if(ready && transform.position.y > -15)
		{
			GUI.Label(new Rect(Screen.width/2, Screen.height/2 - 100, 300, 50), "AAHHHHHH!! Someone help!!");
		}
		else if(transform.position.y < EndAnimationStart.transform.position.y && transform.position.x < EndAnimationStop.transform.position.x)
		{
			GUI.Label (new Rect(Screen.width/2, Screen.height/2 - 100, 300, 50), "You saved me...I thought I was a goner.");
		}
		else if(ready && transform.position.y > EndAnimationStart.transform.position.y)
		{
			GUI.Label(new Rect(Screen.width/2 - 150, 50, 400, 50), "Help your fellow dreamer by avoiding obstacles and landing safely.");
		}
	}
}
